Get Job
curl --request GET \
--url https://api.example.com/jobs/{job_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/jobs/{job_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error_message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"submitted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canceled_at": "2023-11-07T05:31:56Z"
},
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"strategy": "<string>",
"humanized_vh": "<string>",
"humanized_vl": "<string>",
"oasis_score": {},
"mutations": {},
"liabilities": {},
"created_at": "2023-11-07T05:31:56Z",
"numbering": {},
"vhh_analysis": {},
"scfv_analysis": {},
"fc_analysis": {}
}
],
"structure_result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pdb_storage_path": "<string>",
"model_used": "<string>",
"confidence_score": 123,
"per_residue_plddt": {},
"cdr_analysis": [
{}
],
"created_at": "2023-11-07T05:31:56Z",
"humanization_result_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"stability_result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"ddg_matrix": {},
"solubility_score": 123,
"aggregation_score": 123,
"thermostability_score": 123,
"melting_temp_predicted": 123,
"developability_score": 123,
"stabilizing_mutations": [
{}
],
"model_versions": {},
"structure_result_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"immunogenicity_result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"mhc1_epitopes": [
{}
],
"mhc2_epitopes": [
{}
],
"bcell_epitopes": [
{}
],
"deimmunization_suggestions": [
{}
],
"risk_score": 123,
"mhc1_risk": 123,
"mhc2_risk": 123,
"bcell_risk": 123,
"model_versions": {}
},
"complex_result": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"antigen_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"model_used": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"pdb_storage_path": "<string>",
"confidence_score": 123,
"iptm": 123,
"per_chain_plddt": {},
"interface_residues": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}jobs
Get Job
Fetch a job + its results. Frontend polls this while the job is running.
GET
/
jobs
/
{job_id}
Get Job
Authorizations
HTTPBearerHTTPBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Job + results, returned by GET /jobs/{id}.
A job as returned by the API.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Structure prediction output for a single job.
Show child attributes
Show child attributes
Stability analysis output for a single job.
Show child attributes
Show child attributes
Immunogenicity analysis output for a single job.
Show child attributes
Show child attributes
Antibody-antigen complex prediction result (Boltz-2).
Show child attributes
Show child attributes
⌘I